import type { _AVAudioUnitTimeEffect } from "./AVAudioUnitTimeEffect.js";
export declare class _AVAudioUnitVarispeed extends _AVAudioUnitTimeEffect {
    static alloc(): _AVAudioUnitVarispeed;
    static new(): _AVAudioUnitVarispeed;
    init(): _AVAudioUnitVarispeed;
    /**
     * @property rate @abstract controls the playback rate of the audio signal @discussion Since this unit resamples the input signal, changing the playback rate also changes the pitch. i.e. changing the rate to 2.0 results in the output audio playing one octave higher. Similarly changing the rate to 0.5, results in the output audio playing one octave lower. The playback rate and pitch can be calculated as rate = pow(2, cents/1200.0) pitch in cents = 1200.0 * log2(rate) Where, 1 octave = 1200 cents 1 musical semitone = 100 cents Range: 0.25 -> 4.0 Default: 1.0 Unit: Generic
     */
    rate(): number;
    setRate$(value: number): void;
}
